MODULE comvert_phy_mod

  REAL,ALLOCATABLE,SAVE :: ap(:)     ! hybrid pressure contribution at interlayers
!$OMP THREADPRIVATE(ap)
  REAL,ALLOCATABLE,SAVE :: bp(:)     ! hybrid sigma contribution at interlayer
!$OMP THREADPRIVATE(bp)
  REAL,ALLOCATABLE,SAVE :: presnivs(:) ! (reference) pressure at mid-layers
!$OMP THREADPRIVATE(presnivs)
  REAL,SAVE :: preff  ! reference surface pressure (Pa)
!$OMP THREADPRIVATE(preff)
 


END MODULE comvert_phy_mod
