MODULE control_phy_mod

  INTEGER,SAVE :: iphysiq ! call physics every iphysiq dynamical steps
  !$OMP THREADPRIVATE(iphysiq)

  INTEGER,SAVE :: day_step ! # of dynamical time steps per day
  !$OMP THREADPRIVATE(day_step)

  INTEGER,SAVE :: nday ! # of days to run
  !$OMP THREADPRIVATE(nday)

  INTEGER,SAVE :: dayref
  !$OMP THREADPRIVATE(dayref)

  CHARACTER(len=4),SAVE :: config_inca
  !$OMP THREADPRIVATE(config_inca)

  INTEGER,SAVE :: raz_date
  !$OMP THREADPRIVATE(raz_date)

  LOGICAL,SAVE :: offline
  !$OMP THREADPRIVATE(offline)

END MODULE control_phy_mod
